## org.eclipse.emf.common.notify.impl
Class NotifierImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl

All Implemented Interfaces:
  Notifier

Direct Known Subclasses:
  ResourceImpl, ResourceSetImpl

    public class NotifierImpl

extends BasicNotifierImpl

An extensible notifier implementation.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Field Summary
`protected BasicEList<Adapter>` `eAdapters` The list of `Adapter`s associated with the notifier.
`protected static int` `EDELIVER` The bit of `eFlags` that is used to represent `eDeliver()`.
`protected int` `eFlags` An extensible set of bit flags; the first bit is used for `EDELIVER` to implement `eDeliver()`.
`protected static int` `ELAST_NOTIFIER_FLAG` The last bit used by this class; derived classes may use bit values higher than this.

Constructor Summary
`NotifierImpl()` Creates a blank new instance.

Method Summary
`EList<Adapter>` `eAdapters()` Returns list of the adapters associated with this notifier.
`protected BasicEList<Adapter>` `eBasicAdapters()` Returns the adapter list, even if it is `null`.
`boolean` `eDeliver()` Returns whether this notifier will deliver notifications to the adapters.
`void` `eSetDeliver(boolean deliver)` Sets whether this notifier will deliver notifications to the adapters.

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDELIVER

    protected static final int EDELIVER

  The bit of `eFlags` that is used to represent `eDeliver()`.

  See Also:
    Constant Field Values

### ELAST_NOTIFIER_FLAG

    protected static final int ELAST_NOTIFIER_FLAG

  The last bit used by this class; derived classes may use bit values higher than this.

  See Also:
    Constant Field Values

### eFlags

    protected int eFlags

  An extensible set of bit flags; the first bit is used for `EDELIVER` to implement `eDeliver()`.

### eAdapters

    protected BasicEList<Adapter> eAdapters

  The list of `Adapter`s associated with the notifier.

Constructor Detail

### NotifierImpl

    public NotifierImpl()

  Creates a blank new instance.

Method Detail

### eAdapters

    public EList<Adapter> eAdapters()

  Description copied from interface: `Notifier`
  Returns list of the adapters associated with this notifier.

  Specified by:
    `eAdapters` in interface `Notifier`
  Overrides:
    `eAdapters` in class `BasicNotifierImpl`
  Returns:
    the adapters associated with this notifier.

### eBasicAdapters

    protected BasicEList<Adapter> eBasicAdapters()

  Description copied from class: `BasicNotifierImpl`
  Returns the adapter list, even if it is `null`.

  Overrides:
    `eBasicAdapters` in class `BasicNotifierImpl`
  Returns:
    the adapter list, even if it is `null`.

### eDeliver

    public boolean eDeliver()

  Description copied from interface: `Notifier`
  Returns whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eDeliver` in interface `Notifier`
  Overrides:
    `eDeliver` in class `BasicNotifierImpl`
  Returns:
    whether notifications will be delivered.
  See Also:
    `Notifier.eSetDeliver(boolean)`

### eSetDeliver

    public void eSetDeliver(boolean deliver)

  Description copied from interface: `Notifier`
  Sets whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eSetDeliver` in interface `Notifier`
  Overrides:
    `eSetDeliver` in class `BasicNotifierImpl`
  Parameters:
    `deliver` - whether or not to deliver.
  See Also:
    `Notifier.eDeliver()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.